// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: onnx/onnx-operators-ml.proto3

#ifndef GOOGLE_PROTOBUF_INCLUDED_onnx_2fonnx_2doperators_2dml_2eproto3
#define GOOGLE_PROTOBUF_INCLUDED_onnx_2fonnx_2doperators_2dml_2eproto3

#include <limits>
#include <string>

#include <google/protobuf/port_def.inc>
#if PROTOBUF_VERSION < 3021000
#error This file was generated by a newer version of protoc which is
#error incompatible with your Protocol Buffer headers. Please update
#error your headers.
#endif
#if 3021012 < PROTOBUF_MIN_PROTOC_VERSION
#error This file was generated by an older version of protoc which is
#error incompatible with your Protocol Buffer headers. Please
#error regenerate this file with a newer version of protoc.
#endif

#include <google/protobuf/port_undef.inc>
#include <google/protobuf/io/coded_stream.h>
#include <google/protobuf/arena.h>
#include <google/protobuf/arenastring.h>
#include <google/protobuf/generated_message_util.h>
#include <google/protobuf/metadata_lite.h>
#include <google/protobuf/message_lite.h>
#include <google/protobuf/repeated_field.h>  // IWYU pragma: export
#include <google/protobuf/extension_set.h>  // IWYU pragma: export
#include "onnx/onnx-ml.proto3.pb.h"
// @@protoc_insertion_point(includes)
#include <google/protobuf/port_def.inc>
#define PROTOBUF_INTERNAL_EXPORT_onnx_2fonnx_2doperators_2dml_2eproto3
PROTOBUF_NAMESPACE_OPEN
namespace internal {
class AnyMetadata;
}  // namespace internal
PROTOBUF_NAMESPACE_CLOSE

// Internal implementation detail -- do not use these members.
struct TableStruct_onnx_2fonnx_2doperators_2dml_2eproto3 {
  static const uint32_t offsets[];
};
namespace onnx {
class OperatorProto;
struct OperatorProtoDefaultTypeInternal;
extern OperatorProtoDefaultTypeInternal _OperatorProto_default_instance_;
class OperatorSetProto;
struct OperatorSetProtoDefaultTypeInternal;
extern OperatorSetProtoDefaultTypeInternal _OperatorSetProto_default_instance_;
}  // namespace onnx
PROTOBUF_NAMESPACE_OPEN
template<> ::onnx::OperatorProto* Arena::CreateMaybeMessage<::onnx::OperatorProto>(Arena*);
template<> ::onnx::OperatorSetProto* Arena::CreateMaybeMessage<::onnx::OperatorSetProto>(Arena*);
PROTOBUF_NAMESPACE_CLOSE
namespace onnx {

// ===================================================================

class OperatorProto final :
    public ::PROTOBUF_NAMESPACE_ID::MessageLite /* @@protoc_insertion_point(class_definition:onnx.OperatorProto) */ {
 public:
  inline OperatorProto() : OperatorProto(nullptr) {}
  ~OperatorProto() override;
  explicit PROTOBUF_CONSTEXPR OperatorProto(::PROTOBUF_NAMESPACE_ID::internal::ConstantInitialized);

  OperatorProto(const OperatorProto& from);
  OperatorProto(OperatorProto&& from) noexcept
    : OperatorProto() {
    *this = ::std::move(from);
  }

  inline OperatorProto& operator=(const OperatorProto& from) {
    CopyFrom(from);
    return *this;
  }
  inline OperatorProto& operator=(OperatorProto&& from) noexcept {
    if (this == &from) return *this;
    if (GetOwningArena() == from.GetOwningArena()
  #ifdef PROTOBUF_FORCE_COPY_IN_MOVE
        && GetOwningArena() != nullptr
  #endif  // !PROTOBUF_FORCE_COPY_IN_MOVE
    ) {
      InternalSwap(&from);
    } else {
      CopyFrom(from);
    }
    return *this;
  }

  static const OperatorProto& default_instance() {
    return *internal_default_instance();
  }
  static inline const OperatorProto* internal_default_instance() {
    return reinterpret_cast<const OperatorProto*>(
               &_OperatorProto_default_instance_);
  }
  static constexpr int kIndexInFileMessages =
    0;

  friend void swap(OperatorProto& a, OperatorProto& b) {
    a.Swap(&b);
  }
  inline void Swap(OperatorProto* other) {
    if (other == this) return;
  #ifdef PROTOBUF_FORCE_COPY_IN_SWAP
    if (GetOwningArena() != nullptr &&
        GetOwningArena() == other->GetOwningArena()) {
   #else  // PROTOBUF_FORCE_COPY_IN_SWAP
    if (GetOwningArena() == other->GetOwningArena()) {
  #endif  // !PROTOBUF_FORCE_COPY_IN_SWAP
      InternalSwap(other);
    } else {
      ::PROTOBUF_NAMESPACE_ID::internal::GenericSwap(this, other);
    }
  }
  void UnsafeArenaSwap(OperatorProto* other) {
    if (other == this) return;
    GOOGLE_DCHECK(GetOwningArena() == other->GetOwningArena());
    InternalSwap(other);
  }

  // implements Message ----------------------------------------------

  OperatorProto* New(::PROTOBUF_NAMESPACE_ID::Arena* arena = nullptr) const final {
    return CreateMaybeMessage<OperatorProto>(arena);
  }
  void CheckTypeAndMergeFrom(const ::PROTOBUF_NAMESPACE_ID::MessageLite& from)  final;
  void CopyFrom(const OperatorProto& from);
  void MergeFrom(const OperatorProto& from);
  PROTOBUF_ATTRIBUTE_REINITIALIZES void Clear() final;
  bool IsInitialized() const final;

  size_t ByteSizeLong() const final;
  const char* _InternalParse(const char* ptr, ::PROTOBUF_NAMESPACE_ID::internal::ParseContext* ctx) final;
  uint8_t* _InternalSerialize(
      uint8_t* target, ::PROTOBUF_NAMESPACE_ID::io::EpsCopyOutputStream* stream) const final;
  int GetCachedSize() const final { return _impl_._cached_size_.Get(); }

  private:
  void SharedCtor(::PROTOBUF_NAMESPACE_ID::Arena* arena, bool is_message_owned);
  void SharedDtor();
  void SetCachedSize(int size) const;
  void InternalSwap(OperatorProto* other);

  private:
  friend class ::PROTOBUF_NAMESPACE_ID::internal::AnyMetadata;
  static ::PROTOBUF_NAMESPACE_ID::StringPiece FullMessageName() {
    return "onnx.OperatorProto";
  }
  protected:
  explicit OperatorProto(::PROTOBUF_NAMESPACE_ID::Arena* arena,
                       bool is_message_owned = false);
  public:

  std::string GetTypeName() const final;

  // nested types ----------------------------------------------------

  // accessors -------------------------------------------------------

  enum : int {
    kOpTypeFieldNumber = 1,
    kDocStringFieldNumber = 10,
    kSinceVersionFieldNumber = 2,
    kStatusFieldNumber = 3,
  };
  // string op_type = 1;
  void clear_op_type();
  const std::string& op_type() const;
  template <typename ArgT0 = const std::string&, typename... ArgT>
  void set_op_type(ArgT0&& arg0, ArgT... args);
  std::string* mutable_op_type();
  PROTOBUF_NODISCARD std::string* release_op_type();
  void set_allocated_op_type(std::string* op_type);
  private:
  const std::string& _internal_op_type() const;
  inline PROTOBUF_ALWAYS_INLINE void _internal_set_op_type(const std::string& value);
  std::string* _internal_mutable_op_type();
  public:

  // string doc_string = 10;
  void clear_doc_string();
  const std::string& doc_string() const;
  template <typename ArgT0 = const std::string&, typename... ArgT>
  void set_doc_string(ArgT0&& arg0, ArgT... args);
  std::string* mutable_doc_string();
  PROTOBUF_NODISCARD std::string* release_doc_string();
  void set_allocated_doc_string(std::string* doc_string);
  private:
  const std::string& _internal_doc_string() const;
  inline PROTOBUF_ALWAYS_INLINE void _internal_set_doc_string(const std::string& value);
  std::string* _internal_mutable_doc_string();
  public:

  // int64 since_version = 2;
  void clear_since_version();
  int64_t since_version() const;
  void set_since_version(int64_t value);
  private:
  int64_t _internal_since_version() const;
  void _internal_set_since_version(int64_t value);
  public:

  // .onnx.OperatorStatus status = 3;
  void clear_status();
  ::onnx::OperatorStatus status() const;
  void set_status(::onnx::OperatorStatus value);
  private:
  ::onnx::OperatorStatus _internal_status() const;
  void _internal_set_status(::onnx::OperatorStatus value);
  public:

  // @@protoc_insertion_point(class_scope:onnx.OperatorProto)
 private:
  class _Internal;

  template <typename T> friend class ::PROTOBUF_NAMESPACE_ID::Arena::InternalHelper;
  typedef void InternalArenaConstructable_;
  typedef void DestructorSkippable_;
  struct Impl_ {
    ::PROTOBUF_NAMESPACE_ID::internal::ArenaStringPtr op_type_;
    ::PROTOBUF_NAMESPACE_ID::internal::ArenaStringPtr doc_string_;
    int64_t since_version_;
    int status_;
    mutable ::PROTOBUF_NAMESPACE_ID::internal::CachedSize _cached_size_;
  };
  union { Impl_ _impl_; };
  friend struct ::TableStruct_onnx_2fonnx_2doperators_2dml_2eproto3;
};
// -------------------------------------------------------------------

class OperatorSetProto final :
    public ::PROTOBUF_NAMESPACE_ID::MessageLite /* @@protoc_insertion_point(class_definition:onnx.OperatorSetProto) */ {
 public:
  inline OperatorSetProto() : OperatorSetProto(nullptr) {}
  ~OperatorSetProto() override;
  explicit PROTOBUF_CONSTEXPR OperatorSetProto(::PROTOBUF_NAMESPACE_ID::internal::ConstantInitialized);

  OperatorSetProto(const OperatorSetProto& from);
  OperatorSetProto(OperatorSetProto&& from) noexcept
    : OperatorSetProto() {
    *this = ::std::move(from);
  }

  inline OperatorSetProto& operator=(const OperatorSetProto& from) {
    CopyFrom(from);
    return *this;
  }
  inline OperatorSetProto& operator=(OperatorSetProto&& from) noexcept {
    if (this == &from) return *this;
    if (GetOwningArena() == from.GetOwningArena()
  #ifdef PROTOBUF_FORCE_COPY_IN_MOVE
        && GetOwningArena() != nullptr
  #endif  // !PROTOBUF_FORCE_COPY_IN_MOVE
    ) {
      InternalSwap(&from);
    } else {
      CopyFrom(from);
    }
    return *this;
  }

  static const OperatorSetProto& default_instance() {
    return *internal_default_instance();
  }
  static inline const OperatorSetProto* internal_default_instance() {
    return reinterpret_cast<const OperatorSetProto*>(
               &_OperatorSetProto_default_instance_);
  }
  static constexpr int kIndexInFileMessages =
    1;

  friend void swap(OperatorSetProto& a, OperatorSetProto& b) {
    a.Swap(&b);
  }
  inline void Swap(OperatorSetProto* other) {
    if (other == this) return;
  #ifdef PROTOBUF_FORCE_COPY_IN_SWAP
    if (GetOwningArena() != nullptr &&
        GetOwningArena() == other->GetOwningArena()) {
   #else  // PROTOBUF_FORCE_COPY_IN_SWAP
    if (GetOwningArena() == other->GetOwningArena()) {
  #endif  // !PROTOBUF_FORCE_COPY_IN_SWAP
      InternalSwap(other);
    } else {
      ::PROTOBUF_NAMESPACE_ID::internal::GenericSwap(this, other);
    }
  }
  void UnsafeArenaSwap(OperatorSetProto* other) {
    if (other == this) return;
    GOOGLE_DCHECK(GetOwningArena() == other->GetOwningArena());
    InternalSwap(other);
  }

  // implements Message ----------------------------------------------

  OperatorSetProto* New(::PROTOBUF_NAMESPACE_ID::Arena* arena = nullptr) const final {
    return CreateMaybeMessage<OperatorSetProto>(arena);
  }
  void CheckTypeAndMergeFrom(const ::PROTOBUF_NAMESPACE_ID::MessageLite& from)  final;
  void CopyFrom(const OperatorSetProto& from);
  void MergeFrom(const OperatorSetProto& from);
  PROTOBUF_ATTRIBUTE_REINITIALIZES void Clear() final;
  bool IsInitialized() const final;

  size_t ByteSizeLong() const final;
  const char* _InternalParse(const char* ptr, ::PROTOBUF_NAMESPACE_ID::internal::ParseContext* ctx) final;
  uint8_t* _InternalSerialize(
      uint8_t* target, ::PROTOBUF_NAMESPACE_ID::io::EpsCopyOutputStream* stream) const final;
  int GetCachedSize() const final { return _impl_._cached_size_.Get(); }

  private:
  void SharedCtor(::PROTOBUF_NAMESPACE_ID::Arena* arena, bool is_message_owned);
  void SharedDtor();
  void SetCachedSize(int size) const;
  void InternalSwap(OperatorSetProto* other);

  private:
  friend class ::PROTOBUF_NAMESPACE_ID::internal::AnyMetadata;
  static ::PROTOBUF_NAMESPACE_ID::StringPiece FullMessageName() {
    return "onnx.OperatorSetProto";
  }
  protected:
  explicit OperatorSetProto(::PROTOBUF_NAMESPACE_ID::Arena* arena,
                       bool is_message_owned = false);
  public:

  std::string GetTypeName() const final;

  // nested types ----------------------------------------------------

  // accessors -------------------------------------------------------

  enum : int {
    kOperatorFieldNumber = 8,
    kFunctionsFieldNumber = 9,
    kMagicFieldNumber = 1,
    kIrVersionPrereleaseFieldNumber = 3,
    kDomainFieldNumber = 4,
    kDocStringFieldNumber = 6,
    kIrBuildMetadataFieldNumber = 7,
    kIrVersionFieldNumber = 2,
    kOpsetVersionFieldNumber = 5,
  };
  // repeated .onnx.OperatorProto operator = 8;
  int operator__size() const;
  private:
  int _internal_operator__size() const;
  public:
  void clear_operator_();
  ::onnx::OperatorProto* mutable_operator_(int index);
  ::PROTOBUF_NAMESPACE_ID::RepeatedPtrField< ::onnx::OperatorProto >*
      mutable_operator_();
  private:
  const ::onnx::OperatorProto& _internal_operator_(int index) const;
  ::onnx::OperatorProto* _internal_add_operator_();
  public:
  const ::onnx::OperatorProto& operator_(int index) const;
  ::onnx::OperatorProto* add_operator_();
  const ::PROTOBUF_NAMESPACE_ID::RepeatedPtrField< ::onnx::OperatorProto >&
      operator_() const;

  // repeated .onnx.FunctionProto functions = 9;
  int functions_size() const;
  private:
  int _internal_functions_size() const;
  public:
  void clear_functions();
  ::onnx::FunctionProto* mutable_functions(int index);
  ::PROTOBUF_NAMESPACE_ID::RepeatedPtrField< ::onnx::FunctionProto >*
      mutable_functions();
  private:
  const ::onnx::FunctionProto& _internal_functions(int index) const;
  ::onnx::FunctionProto* _internal_add_functions();
  public:
  const ::onnx::FunctionProto& functions(int index) const;
  ::onnx::FunctionProto* add_functions();
  const ::PROTOBUF_NAMESPACE_ID::RepeatedPtrField< ::onnx::FunctionProto >&
      functions() const;

  // string magic = 1;
  void clear_magic();
  const std::string& magic() const;
  template <typename ArgT0 = const std::string&, typename... ArgT>
  void set_magic(ArgT0&& arg0, ArgT... args);
  std::string* mutable_magic();
  PROTOBUF_NODISCARD std::string* release_magic();
  void set_allocated_magic(std::string* magic);
  private:
  const std::string& _internal_magic() const;
  inline PROTOBUF_ALWAYS_INLINE void _internal_set_magic(const std::string& value);
  std::string* _internal_mutable_magic();
  public:

  // string ir_version_prerelease = 3;
  void clear_ir_version_prerelease();
  const std::string& ir_version_prerelease() const;
  template <typename ArgT0 = const std::string&, typename... ArgT>
  void set_ir_version_prerelease(ArgT0&& arg0, ArgT... args);
  std::string* mutable_ir_version_prerelease();
  PROTOBUF_NODISCARD std::string* release_ir_version_prerelease();
  void set_allocated_ir_version_prerelease(std::string* ir_version_prerelease);
  private:
  const std::string& _internal_ir_version_prerelease() const;
  inline PROTOBUF_ALWAYS_INLINE void _internal_set_ir_version_prerelease(const std::string& value);
  std::string* _internal_mutable_ir_version_prerelease();
  public:

  // string domain = 4;
  void clear_domain();
  const std::string& domain() const;
  template <typename ArgT0 = const std::string&, typename... ArgT>
  void set_domain(ArgT0&& arg0, ArgT... args);
  std::string* mutable_domain();
  PROTOBUF_NODISCARD std::string* release_domain();
  void set_allocated_domain(std::string* domain);
  private:
  const std::string& _internal_domain() const;
  inline PROTOBUF_ALWAYS_INLINE void _internal_set_domain(const std::string& value);
  std::string* _internal_mutable_domain();
  public:

  // string doc_string = 6;
  void clear_doc_string();
  const std::string& doc_string() const;
  template <typename ArgT0 = const std::string&, typename... ArgT>
  void set_doc_string(ArgT0&& arg0, ArgT... args);
  std::string* mutable_doc_string();
  PROTOBUF_NODISCARD std::string* release_doc_string();
  void set_allocated_doc_string(std::string* doc_string);
  private:
  const std::string& _internal_doc_string() const;
  inline PROTOBUF_ALWAYS_INLINE void _internal_set_doc_string(const std::string& value);
  std::string* _internal_mutable_doc_string();
  public:

  // string ir_build_metadata = 7;
  void clear_ir_build_metadata();
  const std::string& ir_build_metadata() const;
  template <typename ArgT0 = const std::string&, typename... ArgT>
  void set_ir_build_metadata(ArgT0&& arg0, ArgT... args);
  std::string* mutable_ir_build_metadata();
  PROTOBUF_NODISCARD std::string* release_ir_build_metadata();
  void set_allocated_ir_build_metadata(std::string* ir_build_metadata);
  private:
  const std::string& _internal_ir_build_metadata() const;
  inline PROTOBUF_ALWAYS_INLINE void _internal_set_ir_build_metadata(const std::string& value);
  std::string* _internal_mutable_ir_build_metadata();
  public:

  // int64 ir_version = 2;
  void clear_ir_version();
  int64_t ir_version() const;
  void set_ir_version(int64_t value);
  private:
  int64_t _internal_ir_version() const;
  void _internal_set_ir_version(int64_t value);
  public:

  // int64 opset_version = 5;
  void clear_opset_version();
  int64_t opset_version() const;
  void set_opset_version(int64_t value);
  private:
  int64_t _internal_opset_version() const;
  void _internal_set_opset_version(int64_t value);
  public:

  // @@protoc_insertion_point(class_scope:onnx.OperatorSetProto)
 private:
  class _Internal;

  template <typename T> friend class ::PROTOBUF_NAMESPACE_ID::Arena::InternalHelper;
  typedef void InternalArenaConstructable_;
  typedef void DestructorSkippable_;
  struct Impl_ {
    ::PROTOBUF_NAMESPACE_ID::RepeatedPtrField< ::onnx::OperatorProto > operator__;
    ::PROTOBUF_NAMESPACE_ID::RepeatedPtrField< ::onnx::FunctionProto > functions_;
    ::PROTOBUF_NAMESPACE_ID::internal::ArenaStringPtr magic_;
    ::PROTOBUF_NAMESPACE_ID::internal::ArenaStringPtr ir_version_prerelease_;
    ::PROTOBUF_NAMESPACE_ID::internal::ArenaStringPtr domain_;
    ::PROTOBUF_NAMESPACE_ID::internal::ArenaStringPtr doc_string_;
    ::PROTOBUF_NAMESPACE_ID::internal::ArenaStringPtr ir_build_metadata_;
    int64_t ir_version_;
    int64_t opset_version_;
    mutable ::PROTOBUF_NAMESPACE_ID::internal::CachedSize _cached_size_;
  };
  union { Impl_ _impl_; };
  friend struct ::TableStruct_onnx_2fonnx_2doperators_2dml_2eproto3;
};
// ===================================================================


// ===================================================================

#ifdef __GNUC__
  #pragma GCC diagnostic push
  #pragma GCC diagnostic ignored "-Wstrict-aliasing"
#endif  // __GNUC__
// OperatorProto

// string op_type = 1;
inline void OperatorProto::clear_op_type() {
  _impl_.op_type_.ClearToEmpty();
}
inline const std::string& OperatorProto::op_type() const {
  // @@protoc_insertion_point(field_get:onnx.OperatorProto.op_type)
  return _internal_op_type();
}
template <typename ArgT0, typename... ArgT>
inline PROTOBUF_ALWAYS_INLINE
void OperatorProto::set_op_type(ArgT0&& arg0, ArgT... args) {
 
 _impl_.op_type_.Set(static_cast<ArgT0 &&>(arg0), args..., GetArenaForAllocation());
  // @@protoc_insertion_point(field_set:onnx.OperatorProto.op_type)
}
inline std::string* OperatorProto::mutable_op_type() {
  std::string* _s = _internal_mutable_op_type();
  // @@protoc_insertion_point(field_mutable:onnx.OperatorProto.op_type)
  return _s;
}
inline const std::string& OperatorProto::_internal_op_type() const {
  return _impl_.op_type_.Get();
}
inline void OperatorProto::_internal_set_op_type(const std::string& value) {
  
  _impl_.op_type_.Set(value, GetArenaForAllocation());
}
inline std::string* OperatorProto::_internal_mutable_op_type() {
  
  return _impl_.op_type_.Mutable(GetArenaForAllocation());
}
inline std::string* OperatorProto::release_op_type() {
  // @@protoc_insertion_point(field_release:onnx.OperatorProto.op_type)
  return _impl_.op_type_.Release();
}
inline void OperatorProto::set_allocated_op_type(std::string* op_type) {
  if (op_type != nullptr) {
    
  } else {
    
  }
  _impl_.op_type_.SetAllocated(op_type, GetArenaForAllocation());
#ifdef PROTOBUF_FORCE_COPY_DEFAULT_STRING
  if (_impl_.op_type_.IsDefault()) {
    _impl_.op_type_.Set("", GetArenaForAllocation());
  }
#endif // PROTOBUF_FORCE_COPY_DEFAULT_STRING
  // @@protoc_insertion_point(field_set_allocated:onnx.OperatorProto.op_type)
}

// int64 since_version = 2;
inline void OperatorProto::clear_since_version() {
  _impl_.since_version_ = int64_t{0};
}
inline int64_t OperatorProto::_internal_since_version() const {
  return _impl_.since_version_;
}
inline int64_t OperatorProto::since_version() const {
  // @@protoc_insertion_point(field_get:onnx.OperatorProto.since_version)
  return _internal_since_version();
}
inline void OperatorProto::_internal_set_since_version(int64_t value) {
  
  _impl_.since_version_ = value;
}
inline void OperatorProto::set_since_version(int64_t value) {
  _internal_set_since_version(value);
  // @@protoc_insertion_point(field_set:onnx.OperatorProto.since_version)
}

// .onnx.OperatorStatus status = 3;
inline void OperatorProto::clear_status() {
  _impl_.status_ = 0;
}
inline ::onnx::OperatorStatus OperatorProto::_internal_status() const {
  return static_cast< ::onnx::OperatorStatus >(_impl_.status_);
}
inline ::onnx::OperatorStatus OperatorProto::status() const {
  // @@protoc_insertion_point(field_get:onnx.OperatorProto.status)
  return _internal_status();
}
inline void OperatorProto::_internal_set_status(::onnx::OperatorStatus value) {
  
  _impl_.status_ = value;
}
inline void OperatorProto::set_status(::onnx::OperatorStatus value) {
  _internal_set_status(value);
  // @@protoc_insertion_point(field_set:onnx.OperatorProto.status)
}

// string doc_string = 10;
inline void OperatorProto::clear_doc_string() {
  _impl_.doc_string_.ClearToEmpty();
}
inline const std::string& OperatorProto::doc_string() const {
  // @@protoc_insertion_point(field_get:onnx.OperatorProto.doc_string)
  return _internal_doc_string();
}
template <typename ArgT0, typename... ArgT>
inline PROTOBUF_ALWAYS_INLINE
void OperatorProto::set_doc_string(ArgT0&& arg0, ArgT... args) {
 
 _impl_.doc_string_.Set(static_cast<ArgT0 &&>(arg0), args..., GetArenaForAllocation());
  // @@protoc_insertion_point(field_set:onnx.OperatorProto.doc_string)
}
inline std::string* OperatorProto::mutable_doc_string() {
  std::string* _s = _internal_mutable_doc_string();
  // @@protoc_insertion_point(field_mutable:onnx.OperatorProto.doc_string)
  return _s;
}
inline const std::string& OperatorProto::_internal_doc_string() const {
  return _impl_.doc_string_.Get();
}
inline void OperatorProto::_internal_set_doc_string(const std::string& value) {
  
  _impl_.doc_string_.Set(value, GetArenaForAllocation());
}
inline std::string* OperatorProto::_internal_mutable_doc_string() {
  
  return _impl_.doc_string_.Mutable(GetArenaForAllocation());
}
inline std::string* OperatorProto::release_doc_string() {
  // @@protoc_insertion_point(field_release:onnx.OperatorProto.doc_string)
  return _impl_.doc_string_.Release();
}
inline void OperatorProto::set_allocated_doc_string(std::string* doc_string) {
  if (doc_string != nullptr) {
    
  } else {
    
  }
  _impl_.doc_string_.SetAllocated(doc_string, GetArenaForAllocation());
#ifdef PROTOBUF_FORCE_COPY_DEFAULT_STRING
  if (_impl_.doc_string_.IsDefault()) {
    _impl_.doc_string_.Set("", GetArenaForAllocation());
  }
#endif // PROTOBUF_FORCE_COPY_DEFAULT_STRING
  // @@protoc_insertion_point(field_set_allocated:onnx.OperatorProto.doc_string)
}

// -------------------------------------------------------------------

// OperatorSetProto

// string magic = 1;
inline void OperatorSetProto::clear_magic() {
  _impl_.magic_.ClearToEmpty();
}
inline const std::string& OperatorSetProto::magic() const {
  // @@protoc_insertion_point(field_get:onnx.OperatorSetProto.magic)
  return _internal_magic();
}
template <typename ArgT0, typename... ArgT>
inline PROTOBUF_ALWAYS_INLINE
void OperatorSetProto::set_magic(ArgT0&& arg0, ArgT... args) {
 
 _impl_.magic_.Set(static_cast<ArgT0 &&>(arg0), args..., GetArenaForAllocation());
  // @@protoc_insertion_point(field_set:onnx.OperatorSetProto.magic)
}
inline std::string* OperatorSetProto::mutable_magic() {
  std::string* _s = _internal_mutable_magic();
  // @@protoc_insertion_point(field_mutable:onnx.OperatorSetProto.magic)
  return _s;
}
inline const std::string& OperatorSetProto::_internal_magic() const {
  return _impl_.magic_.Get();
}
inline void OperatorSetProto::_internal_set_magic(const std::string& value) {
  
  _impl_.magic_.Set(value, GetArenaForAllocation());
}
inline std::string* OperatorSetProto::_internal_mutable_magic() {
  
  return _impl_.magic_.Mutable(GetArenaForAllocation());
}
inline std::string* OperatorSetProto::release_magic() {
  // @@protoc_insertion_point(field_release:onnx.OperatorSetProto.magic)
  return _impl_.magic_.Release();
}
inline void OperatorSetProto::set_allocated_magic(std::string* magic) {
  if (magic != nullptr) {
    
  } else {
    
  }
  _impl_.magic_.SetAllocated(magic, GetArenaForAllocation());
#ifdef PROTOBUF_FORCE_COPY_DEFAULT_STRING
  if (_impl_.magic_.IsDefault()) {
    _impl_.magic_.Set("", GetArenaForAllocation());
  }
#endif // PROTOBUF_FORCE_COPY_DEFAULT_STRING
  // @@protoc_insertion_point(field_set_allocated:onnx.OperatorSetProto.magic)
}

// int64 ir_version = 2;
inline void OperatorSetProto::clear_ir_version() {
  _impl_.ir_version_ = int64_t{0};
}
inline int64_t OperatorSetProto::_internal_ir_version() const {
  return _impl_.ir_version_;
}
inline int64_t OperatorSetProto::ir_version() const {
  // @@protoc_insertion_point(field_get:onnx.OperatorSetProto.ir_version)
  return _internal_ir_version();
}
inline void OperatorSetProto::_internal_set_ir_version(int64_t value) {
  
  _impl_.ir_version_ = value;
}
inline void OperatorSetProto::set_ir_version(int64_t value) {
  _internal_set_ir_version(value);
  // @@protoc_insertion_point(field_set:onnx.OperatorSetProto.ir_version)
}

// string ir_version_prerelease = 3;
inline void OperatorSetProto::clear_ir_version_prerelease() {
  _impl_.ir_version_prerelease_.ClearToEmpty();
}
inline const std::string& OperatorSetProto::ir_version_prerelease() const {
  // @@protoc_insertion_point(field_get:onnx.OperatorSetProto.ir_version_prerelease)
  return _internal_ir_version_prerelease();
}
template <typename ArgT0, typename... ArgT>
inline PROTOBUF_ALWAYS_INLINE
void OperatorSetProto::set_ir_version_prerelease(ArgT0&& arg0, ArgT... args) {
 
 _impl_.ir_version_prerelease_.Set(static_cast<ArgT0 &&>(arg0), args..., GetArenaForAllocation());
  // @@protoc_insertion_point(field_set:onnx.OperatorSetProto.ir_version_prerelease)
}
inline std::string* OperatorSetProto::mutable_ir_version_prerelease() {
  std::string* _s = _internal_mutable_ir_version_prerelease();
  // @@protoc_insertion_point(field_mutable:onnx.OperatorSetProto.ir_version_prerelease)
  return _s;
}
inline const std::string& OperatorSetProto::_internal_ir_version_prerelease() const {
  return _impl_.ir_version_prerelease_.Get();
}
inline void OperatorSetProto::_internal_set_ir_version_prerelease(const std::string& value) {
  
  _impl_.ir_version_prerelease_.Set(value, GetArenaForAllocation());
}
inline std::string* OperatorSetProto::_internal_mutable_ir_version_prerelease() {
  
  return _impl_.ir_version_prerelease_.Mutable(GetArenaForAllocation());
}
inline std::string* OperatorSetProto::release_ir_version_prerelease() {
  // @@protoc_insertion_point(field_release:onnx.OperatorSetProto.ir_version_prerelease)
  return _impl_.ir_version_prerelease_.Release();
}
inline void OperatorSetProto::set_allocated_ir_version_prerelease(std::string* ir_version_prerelease) {
  if (ir_version_prerelease != nullptr) {
    
  } else {
    
  }
  _impl_.ir_version_prerelease_.SetAllocated(ir_version_prerelease, GetArenaForAllocation());
#ifdef PROTOBUF_FORCE_COPY_DEFAULT_STRING
  if (_impl_.ir_version_prerelease_.IsDefault()) {
    _impl_.ir_version_prerelease_.Set("", GetArenaForAllocation());
  }
#endif // PROTOBUF_FORCE_COPY_DEFAULT_STRING
  // @@protoc_insertion_point(field_set_allocated:onnx.OperatorSetProto.ir_version_prerelease)
}

// string ir_build_metadata = 7;
inline void OperatorSetProto::clear_ir_build_metadata() {
  _impl_.ir_build_metadata_.ClearToEmpty();
}
inline const std::string& OperatorSetProto::ir_build_metadata() const {
  // @@protoc_insertion_point(field_get:onnx.OperatorSetProto.ir_build_metadata)
  return _internal_ir_build_metadata();
}
template <typename ArgT0, typename... ArgT>
inline PROTOBUF_ALWAYS_INLINE
void OperatorSetProto::set_ir_build_metadata(ArgT0&& arg0, ArgT... args) {
 
 _impl_.ir_build_metadata_.Set(static_cast<ArgT0 &&>(arg0), args..., GetArenaForAllocation());
  // @@protoc_insertion_point(field_set:onnx.OperatorSetProto.ir_build_metadata)
}
inline std::string* OperatorSetProto::mutable_ir_build_metadata() {
  std::string* _s = _internal_mutable_ir_build_metadata();
  // @@protoc_insertion_point(field_mutable:onnx.OperatorSetProto.ir_build_metadata)
  return _s;
}
inline const std::string& OperatorSetProto::_internal_ir_build_metadata() const {
  return _impl_.ir_build_metadata_.Get();
}
inline void OperatorSetProto::_internal_set_ir_build_metadata(const std::string& value) {
  
  _impl_.ir_build_metadata_.Set(value, GetArenaForAllocation());
}
inline std::string* OperatorSetProto::_internal_mutable_ir_build_metadata() {
  
  return _impl_.ir_build_metadata_.Mutable(GetArenaForAllocation());
}
inline std::string* OperatorSetProto::release_ir_build_metadata() {
  // @@protoc_insertion_point(field_release:onnx.OperatorSetProto.ir_build_metadata)
  return _impl_.ir_build_metadata_.Release();
}
inline void OperatorSetProto::set_allocated_ir_build_metadata(std::string* ir_build_metadata) {
  if (ir_build_metadata != nullptr) {
    
  } else {
    
  }
  _impl_.ir_build_metadata_.SetAllocated(ir_build_metadata, GetArenaForAllocation());
#ifdef PROTOBUF_FORCE_COPY_DEFAULT_STRING
  if (_impl_.ir_build_metadata_.IsDefault()) {
    _impl_.ir_build_metadata_.Set("", GetArenaForAllocation());
  }
#endif // PROTOBUF_FORCE_COPY_DEFAULT_STRING
  // @@protoc_insertion_point(field_set_allocated:onnx.OperatorSetProto.ir_build_metadata)
}

// string domain = 4;
inline void OperatorSetProto::clear_domain() {
  _impl_.domain_.ClearToEmpty();
}
inline const std::string& OperatorSetProto::domain() const {
  // @@protoc_insertion_point(field_get:onnx.OperatorSetProto.domain)
  return _internal_domain();
}
template <typename ArgT0, typename... ArgT>
inline PROTOBUF_ALWAYS_INLINE
void OperatorSetProto::set_domain(ArgT0&& arg0, ArgT... args) {
 
 _impl_.domain_.Set(static_cast<ArgT0 &&>(arg0), args..., GetArenaForAllocation());
  // @@protoc_insertion_point(field_set:onnx.OperatorSetProto.domain)
}
inline std::string* OperatorSetProto::mutable_domain() {
  std::string* _s = _internal_mutable_domain();
  // @@protoc_insertion_point(field_mutable:onnx.OperatorSetProto.domain)
  return _s;
}
inline const std::string& OperatorSetProto::_internal_domain() const {
  return _impl_.domain_.Get();
}
inline void OperatorSetProto::_internal_set_domain(const std::string& value) {
  
  _impl_.domain_.Set(value, GetArenaForAllocation());
}
inline std::string* OperatorSetProto::_internal_mutable_domain() {
  
  return _impl_.domain_.Mutable(GetArenaForAllocation());
}
inline std::string* OperatorSetProto::release_domain() {
  // @@protoc_insertion_point(field_release:onnx.OperatorSetProto.domain)
  return _impl_.domain_.Release();
}
inline void OperatorSetProto::set_allocated_domain(std::string* domain) {
  if (domain != nullptr) {
    
  } else {
    
  }
  _impl_.domain_.SetAllocated(domain, GetArenaForAllocation());
#ifdef PROTOBUF_FORCE_COPY_DEFAULT_STRING
  if (_impl_.domain_.IsDefault()) {
    _impl_.domain_.Set("", GetArenaForAllocation());
  }
#endif // PROTOBUF_FORCE_COPY_DEFAULT_STRING
  // @@protoc_insertion_point(field_set_allocated:onnx.OperatorSetProto.domain)
}

// int64 opset_version = 5;
inline void OperatorSetProto::clear_opset_version() {
  _impl_.opset_version_ = int64_t{0};
}
inline int64_t OperatorSetProto::_internal_opset_version() const {
  return _impl_.opset_version_;
}
inline int64_t OperatorSetProto::opset_version() const {
  // @@protoc_insertion_point(field_get:onnx.OperatorSetProto.opset_version)
  return _internal_opset_version();
}
inline void OperatorSetProto::_internal_set_opset_version(int64_t value) {
  
  _impl_.opset_version_ = value;
}
inline void OperatorSetProto::set_opset_version(int64_t value) {
  _internal_set_opset_version(value);
  // @@protoc_insertion_point(field_set:onnx.OperatorSetProto.opset_version)
}

// string doc_string = 6;
inline void OperatorSetProto::clear_doc_string() {
  _impl_.doc_string_.ClearToEmpty();
}
inline const std::string& OperatorSetProto::doc_string() const {
  // @@protoc_insertion_point(field_get:onnx.OperatorSetProto.doc_string)
  return _internal_doc_string();
}
template <typename ArgT0, typename... ArgT>
inline PROTOBUF_ALWAYS_INLINE
void OperatorSetProto::set_doc_string(ArgT0&& arg0, ArgT... args) {
 
 _impl_.doc_string_.Set(static_cast<ArgT0 &&>(arg0), args..., GetArenaForAllocation());
  // @@protoc_insertion_point(field_set:onnx.OperatorSetProto.doc_string)
}
inline std::string* OperatorSetProto::mutable_doc_string() {
  std::string* _s = _internal_mutable_doc_string();
  // @@protoc_insertion_point(field_mutable:onnx.OperatorSetProto.doc_string)
  return _s;
}
inline const std::string& OperatorSetProto::_internal_doc_string() const {
  return _impl_.doc_string_.Get();
}
inline void OperatorSetProto::_internal_set_doc_string(const std::string& value) {
  
  _impl_.doc_string_.Set(value, GetArenaForAllocation());
}
inline std::string* OperatorSetProto::_internal_mutable_doc_string() {
  
  return _impl_.doc_string_.Mutable(GetArenaForAllocation());
}
inline std::string* OperatorSetProto::release_doc_string() {
  // @@protoc_insertion_point(field_release:onnx.OperatorSetProto.doc_string)
  return _impl_.doc_string_.Release();
}
inline void OperatorSetProto::set_allocated_doc_string(std::string* doc_string) {
  if (doc_string != nullptr) {
    
  } else {
    
  }
  _impl_.doc_string_.SetAllocated(doc_string, GetArenaForAllocation());
#ifdef PROTOBUF_FORCE_COPY_DEFAULT_STRING
  if (_impl_.doc_string_.IsDefault()) {
    _impl_.doc_string_.Set("", GetArenaForAllocation());
  }
#endif // PROTOBUF_FORCE_COPY_DEFAULT_STRING
  // @@protoc_insertion_point(field_set_allocated:onnx.OperatorSetProto.doc_string)
}

// repeated .onnx.OperatorProto operator = 8;
inline int OperatorSetProto::_internal_operator__size() const {
  return _impl_.operator__.size();
}
inline int OperatorSetProto::operator__size() const {
  return _internal_operator__size();
}
inline void OperatorSetProto::clear_operator_() {
  _impl_.operator__.Clear();
}
inline ::onnx::OperatorProto* OperatorSetProto::mutable_operator_(int index) {
  // @@protoc_insertion_point(field_mutable:onnx.OperatorSetProto.operator)
  return _impl_.operator__.Mutable(index);
}
inline ::PROTOBUF_NAMESPACE_ID::RepeatedPtrField< ::onnx::OperatorProto >*
OperatorSetProto::mutable_operator_() {
  // @@protoc_insertion_point(field_mutable_list:onnx.OperatorSetProto.operator)
  return &_impl_.operator__;
}
inline const ::onnx::OperatorProto& OperatorSetProto::_internal_operator_(int index) const {
  return _impl_.operator__.Get(index);
}
inline const ::onnx::OperatorProto& OperatorSetProto::operator_(int index) const {
  // @@protoc_insertion_point(field_get:onnx.OperatorSetProto.operator)
  return _internal_operator_(index);
}
inline ::onnx::OperatorProto* OperatorSetProto::_internal_add_operator_() {
  return _impl_.operator__.Add();
}
inline ::onnx::OperatorProto* OperatorSetProto::add_operator_() {
  ::onnx::OperatorProto* _add = _internal_add_operator_();
  // @@protoc_insertion_point(field_add:onnx.OperatorSetProto.operator)
  return _add;
}
inline const ::PROTOBUF_NAMESPACE_ID::RepeatedPtrField< ::onnx::OperatorProto >&
OperatorSetProto::operator_() const {
  // @@protoc_insertion_point(field_list:onnx.OperatorSetProto.operator)
  return _impl_.operator__;
}

// repeated .onnx.FunctionProto functions = 9;
inline int OperatorSetProto::_internal_functions_size() const {
  return _impl_.functions_.size();
}
inline int OperatorSetProto::functions_size() const {
  return _internal_functions_size();
}
inline ::onnx::FunctionProto* OperatorSetProto::mutable_functions(int index) {
  // @@protoc_insertion_point(field_mutable:onnx.OperatorSetProto.functions)
  return _impl_.functions_.Mutable(index);
}
inline ::PROTOBUF_NAMESPACE_ID::RepeatedPtrField< ::onnx::FunctionProto >*
OperatorSetProto::mutable_functions() {
  // @@protoc_insertion_point(field_mutable_list:onnx.OperatorSetProto.functions)
  return &_impl_.functions_;
}
inline const ::onnx::FunctionProto& OperatorSetProto::_internal_functions(int index) const {
  return _impl_.functions_.Get(index);
}
inline const ::onnx::FunctionProto& OperatorSetProto::functions(int index) const {
  // @@protoc_insertion_point(field_get:onnx.OperatorSetProto.functions)
  return _internal_functions(index);
}
inline ::onnx::FunctionProto* OperatorSetProto::_internal_add_functions() {
  return _impl_.functions_.Add();
}
inline ::onnx::FunctionProto* OperatorSetProto::add_functions() {
  ::onnx::FunctionProto* _add = _internal_add_functions();
  // @@protoc_insertion_point(field_add:onnx.OperatorSetProto.functions)
  return _add;
}
inline const ::PROTOBUF_NAMESPACE_ID::RepeatedPtrField< ::onnx::FunctionProto >&
OperatorSetProto::functions() const {
  // @@protoc_insertion_point(field_list:onnx.OperatorSetProto.functions)
  return _impl_.functions_;
}

#ifdef __GNUC__
  #pragma GCC diagnostic pop
#endif  // __GNUC__
// -------------------------------------------------------------------


// @@protoc_insertion_point(namespace_scope)

}  // namespace onnx

// @@protoc_insertion_point(global_scope)

#include <google/protobuf/port_undef.inc>
#endif  // GOOGLE_PROTOBUF_INCLUDED_GOOGLE_PROTOBUF_INCLUDED_onnx_2fonnx_2doperators_2dml_2eproto3
